Subject: bug#11714: 24.1.50; find-file completion on a remote directory

From: Michael Albinus <[email-masked]>
Date: Sat, 23 Jun 2012 12:25:42 +0200

Stefan Monnier <[email-masked]> writes:

> I just fixed this in the trunk with the patch below.

That works, thanks!

> +  ;; FIXME: example of thing we do not handle: Tramp's makes
> +  ;; (substitute-in-file-name "/foo:~/bar//baz") -> "/scpc:foo:/baz".
> +  ;; FIXME: One way to try and handle "all" cases is to require
> +  ;; substitute-in-file-name to preserve text-properties, so we could
> +  ;; apply text-properties to the input string and then look for them in
> +  ;; the output to understand what comes from where.

Shall I do action on Tramp? If yes, could this requirement to file name
handlers be documented?

>         Stefan

Best regards, Michael.